package com.kingdee.eas.custom.integration.feishu;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class FeishuApprovalInstanceFactory
{
    private FeishuApprovalInstanceFactory()
    {
    }
    public static IFeishuApprovalInstance getRemoteInstance() throws BOSException
    {
        return (IFeishuApprovalInstance)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("432C4D01") , IFeishuApprovalInstance.class);
    }
    
    public static IFeishuApprovalInstance getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (IFeishuApprovalInstance)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("432C4D01") , IFeishuApprovalInstance.class, objectCtx);
    }
    public static IFeishuApprovalInstance getLocalInstance(Context ctx) throws BOSException
    {
        return (IFeishuApprovalInstance)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("432C4D01"));
    }
    public static IFeishuApprovalInstance getLocalInstance(String sessionID) throws BOSException
    {
        return (IFeishuApprovalInstance)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("432C4D01"));
    }
}